Page MenuHomePhabricator

Extension to use Mailgun API to send emails
Closed, ResolvedPublic

Description

Mailgun, as http://www.mailgun.com/ says, is a powerful API that can send roughly 1000 emails in one API call. Mailgun provides free use of upto 10k emails per month and loads of accounts too in your custom domain. Hence, it is a scalable option for a person/group hosting a wiki, and want to send emails for free.

Currently, Phabricator has adapter to use Mailgun API ( see : https://secure.phabricator.com/book/phabricator/article/configuring_outbound_email/#adapter-mailgun ). There is one for wordpress too https://wordpress.org/plugins/mailgun/.

It would be great to have an extension that can make use of Hook::AlternateUserMailer, that can use the Mailgun API feature to send out emails. Currently, we can only use its service by SMTP configuration, which is lot less[1] slow than the API call, which mass-messaging services like phab and Mediawki requires.

[1] https://documentation.mailgun.com/quickstart-sending.html#send-with-smtp-or-api

Details

Related Gerrit Patches:
mediawiki/extensions/Mailgun : masterAdded Mailgun extension for Mediawiki

Event Timeline

01tonythomas raised the priority of this task from to Needs Triage.
01tonythomas updated the task description. (Show Details)
01tonythomas added subscribers: 01tonythomas, Jgreen, Legoktm and 2 others.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 14 2015, 11:01 AM
01tonythomas set Security to None.

Change 224984 had a related patch set uploaded (by 01tonythomas):
Added Mailgun extension for Mediawiki

https://gerrit.wikimedia.org/r/224984

QChris removed a subscriber: QChris.Jul 16 2015, 10:11 PM

Change 224984 merged by Parent5446:
Added Mailgun extension for Mediawiki

https://gerrit.wikimedia.org/r/224984

Parent5446 closed this task as Resolved.Aug 4 2015, 6:20 PM
Parent5446 claimed this task.
Parent5446 removed a project: Patch-For-Review.